<template>
  <v-card color="primary" align="center">
    <v-card-text>
        <v-avatar size="75" class="my-5">
            <img :src="img" alt="John">
        </v-avatar>

        <h2 class="white--text my-2"><slot name="name"/></h2>
        <p class="white--text"><slot name="work"/></p>
        <v-btn outlined color="white" rounded class="my-5" @click="setUnfollow()">Unfollow</v-btn>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  name: 'IndexFriendItem',
  props: ['id', 'img'],
  methods: {
    setUnfollow () {
      alert(this.id)
    }
  }
}
</script>

<style>

</style>
